Subject: Re: bug#60338: [PATCH] Add option to present server changes as diffs

From: Felician Nemeth <[email-masked]>
Date: Wed, 04 Jan 2023 21:56:29 +0100

This is going to be a bit off-topic, but I'm guessing that users (after
a while) get used to what they can expect from a specific language
server when it comes to code-actions.  And with a well written server,
users should never want to partially apply a server initiated text-edit.

Therefore it might be a better UI to apply every text-edit without
questions, display a message when the changes are not visible ("Changed
100 lines in 10 files"), provide a command to view the last text-edit as
a diff, and allow the users to undo the change with a single undo
command.

This UI wouldn't slow down experienced users, and it would allow them to
quickly correct rare mistakes.  Eglot could also teach inexperienced
users with messages like "Changed 2 lines in 1 file.  `undo-view-last'
shows the change."

WDT?